lib64mariadb-embedded-devel-10.1.24-1.mga6.x86_64.rpm


Advertisement

Description

lib64mariadb-embedded-devel - Development files for MySQL as an embeddable library

Property Value
Distribution Mageia 6.1
Repository Mageia Core x86_64
Package filename lib64mariadb-embedded-devel-10.1.24-1.mga6.x86_64.rpm
Package name lib64mariadb-embedded-devel
Package version 10.1.24
Package release 1.mga6
Package architecture x86_64
Package type rpm
Category Development/Other
Homepage http://mariadb.org/
License GPLv2 with exceptions
Maintainer -
Download size 7.48 MB
Installed size 29.96 MB
MariaDB is a multi-user, multi-threaded SQL database server. This
package contains files needed for developing and testing with
the embedded version of the MariaDB server.
The API is identical for the embedded MariaDB version and the client/server
version.

Alternatives

Package Version Architecture Repository
lib64mariadb-embedded-devel-10.1.41-1.mga6.x86_64.rpm 10.1.41 x86_64 Mageia Core Updates
lib64mariadb-embedded-devel-10.1.39-1.mga6.x86_64.rpm 10.1.39 x86_64 Mageia Core Updates
lib64mariadb-embedded-devel-10.1.38-1.mga6.x86_64.rpm 10.1.38 x86_64 Mageia Core Updates
lib64mariadb-embedded-devel-10.1.37-1.mga6.x86_64.rpm 10.1.37 x86_64 Mageia Core Updates
lib64mariadb-embedded-devel-10.1.35-1.mga6.x86_64.rpm 10.1.35 x86_64 Mageia Core Updates
lib64mariadb-embedded-devel-10.1.33-1.mga6.x86_64.rpm 10.1.33 x86_64 Mageia Core Updates
lib64mariadb-embedded-devel-10.1.30-1.mga6.x86_64.rpm 10.1.30 x86_64 Mageia Core Updates
lib64mariadb-embedded-devel-10.1.29-2.mga6.x86_64.rpm 10.1.29 x86_64 Mageia Core Updates
lib64mariadb-embedded-devel-10.1.28-1.mga6.x86_64.rpm 10.1.28 x86_64 Mageia Core Updates
lib64mariadb-embedded-devel-10.1.26-1.mga6.x86_64.rpm 10.1.26 x86_64 Mageia Core Updates
lib64mariadb-embedded-devel-10.1.25-1.mga6.x86_64.rpm 10.1.25 x86_64 Mageia Core Updates
lib64mariadb-embedded-devel - - -

Requires

Name Value
devel(libaio(64bit)) -
devel(libbz2(64bit)) -
devel(libcrypt(64bit)) -
devel(libcrypto(64bit)) -
devel(libdl(64bit)) -
devel(liblz4(64bit)) -
devel(liblzma(64bit)) -
devel(liblzo2(64bit)) -
devel(libm(64bit)) -
devel(libpcre(64bit)) -
devel(libssl(64bit)) -
devel(libstdc++(64bit)) -
devel(libz(64bit)) -
ld-linux-x86-64.so.2()(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) -
lib64mariadb-devel == 10.1.24-1.mga6
lib64mariadb-embedded18 == 10.1.24-1.mga6
libaio.so.1()(64bit) -
libaio.so.1(LIBAIO_0.1)(64bit) -
libaio.so.1(LIBAIO_0.4)(64bit) -
libbz2.so.1()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.10)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.17)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libc.so.6(GLIBC_2.8)(64bit) -
libcrypt.so.1()(64bit) -
libcrypt.so.1(GLIBC_2.2.5)(64bit) -
libcrypto.so.1.0.0()(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
liblz4.so.1()(64bit) -
liblzma.so.5()(64bit) -
liblzma.so.5(XZ_5.0)(64bit) -
liblzo2.so.2()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpcre.so.1()(64bit) -
libpcreposix.so.1()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libssl.so.1.0.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libz.so.1()(64bit) -
libz.so.1(ZLIB_1.2.0)(64bit) -

Provides

Name Value
devel(libmysqld(64bit)) -
lib64mariadb-embedded-devel == 10.1.24-1.mga6
lib64mariadb-embedded-devel(x86-64) == 10.1.24-1.mga6
mariadb-embedded-devel == 10.1.24-1.mga6
mysql-embedded-devel == 10.1.24-1.mga6

Conflicts

Name Value
mariadb-bench < 10.1.24-1.mga6

Obsoletes

Name Value
lib64mariadb-embedded-devel < 10.1.24-1.mga6
mariadb-embedded-devel < 10.1.24-1.mga6

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64mariadb-embedded-devel-10.1.24-1.mga6.x86_64.rpm
Source Package mariadb-10.1.24-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64mariadb-embedded-devel rpm package:
    # urpmi lib64mariadb-embedded-devel

Files

Path
/usr/bin/mysql_client_test_embedded
/usr/bin/mysqltest_embedded
/usr/lib64/libmysqld.so
/usr/share/man/man1/mysql_client_test_embedded.1.xz
/usr/share/man/man1/mysqltest_embedded.1.xz

Changelog

2017-07-06 - tmb <tmb> 10.1.24-1.mga6
+ Revision: 1109111
- fix mysqld-prepare-db-dir for CVE-2017-3265 (mga#21101)
+ luigiwalser <luigiwalser>
- 10.1.24
- remove upstreamed crc patch
2017-05-20 - luigiwalser <luigiwalser> 10.1.23-1.mga6
+ Revision: 1103686
- add missing BR libarchive-devel
- add patch from Oden Eriksson to fix building/linking static libcrc
- 10.1.23
2017-03-16 - mrambo3501 <mrambo3501> 10.1.22-2.mga6
+ Revision: 1093189
- Rebuild for icu-58.2
2017-03-15 - luigiwalser <luigiwalser> 10.1.22-1.mga6
+ Revision: 1092651
- add ed25519 plugin to files list (MDEV-12160)
- mariadb-bench should require DBD::mysql (mga#20275)
- 10.1.22
2017-02-18 - luigiwalser <luigiwalser> 10.1.21-5.mga6
+ Revision: 1086684
- add changes to mysqld.service from rapsys to drop usage of mysqld_safe
2017-02-12 - luigiwalser <luigiwalser> 10.1.21-4.mga6
+ Revision: 1085843
- more mysqld_safe fixes from Arne
2017-02-11 - luigiwalser <luigiwalser> 10.1.21-3.mga6
+ Revision: 1085780
- implement changes to mysqld service from Arne Spiegelhauer to make it work again
2017-01-29 - luigiwalser <luigiwalser> 10.1.21-2.mga6
+ Revision: 1084070
- remove errno patch also removed by fedora
2017-01-18 - luigiwalser <luigiwalser> 10.1.21-1.mga6
+ Revision: 1082414
- 10.1.21
2016-12-16 - luigiwalser <luigiwalser> 10.1.20-1.mga6
+ Revision: 1075609
- 10.1.20

See Also

Package Description
lib64mariadb-embedded18-10.1.24-1.mga6.x86_64.rpm MariaDB as an embeddable library
lib64mariadb18-10.1.24-1.mga6.x86_64.rpm Shared libraries
lib64markdown-devel-2.2.2-1.mga6.x86_64.rpm Development headers for the libmarkdown library
lib64markdown2-2.2.2-1.mga6.x86_64.rpm A fast implementation of the Markdown language in C
lib64mash-devel-0.2.0-19.mga6.x86_64.rpm Development files for libmash
lib64mash-gir0.2-0.2.0-19.mga6.x86_64.rpm GObject Introspection interface description for libmash
lib64mash0.2_0-0.2.0-19.mga6.x86_64.rpm A library for using real 3D models within a Clutter scene
lib64mate-desktop-devel-1.18.0-1.mga6.x86_64.rpm MATE module API library development files
lib64mate-desktop2_17-1.18.0-1.mga6.x86_64.rpm Mate desktop internal libraries
lib64mate-menu-devel-1.18.0-2.mga6.x86_64.rpm MATE menu library development files
lib64mate-menu-gir2.0-1.18.0-2.mga6.x86_64.rpm GObject Introspection interface description for mate-menus
lib64mate-menu2-1.18.0-2.mga6.x86_64.rpm MATE menu library
lib64mate-panel-applet-devel-1.18.2-2.mga6.x86_64.rpm Static libraries, include files for MATE panel
lib64mate-panel-applet-gir4.0-1.18.2-2.mga6.x86_64.rpm GObject Introspection interface description for mate-panel
lib64mate-panel-applet4_1-1.18.2-2.mga6.x86_64.rpm The core programs for the MATE GUI desktop environment
Advertisement
Advertisement